"""
@author: luojunhui
"""
from applications.functions import request_for_info


class SingleVideo(object):
    """
    返回单个视频信息
    """
    def __init__(self, params):
        self.video_id = None
        self.params = params

    def check_params(self):
        """
        check params
        :return:
        """
        try:
            self.video_id = self.params['videoId']
            return None
        except AttributeError as e:
            response = {
                "code": 0,
                "error": "Params Error",
                "msg": "Params: {} is not correct".format(e)
            }
            return response

    def deal(self):
        """
        deal function
        :return:
        """
        params_error = self.check_params()
        if params_error:
            return params_error
        else:
            response = request_for_info(video_id=self.video_id)['data'][0]
            title = response['title']
            video_url = response['videoPath']
            publish_time = response['gmtCreateTimestamp']
            # user_id = response['user']['uid']
            # cover = response['coverImg']['coverImgPath']
            result = {
                "videoId": self.video_id,
                "title": title,
                "videoUrl": video_url,
                "publishTime": publish_time
            }
            return result